from django.core.management.base import BaseCommand
from profiles.models_rdf import RdfProfile
from profiles import models


class Command(BaseCommand):
    ''' Exports database models to RDF '''

    def add_arguments(self, parser):
        pass

    def handle(self, *args, **kwargs):
        exported_models = [
            models.Keyword,
            models.Webpage,
            models.Website,
            models.Place,
            models.Event,
            models.BrowserFingerprint,
            models.SearchEngine,
            models.Interest,
            models.Profile,
        ]
        output_xml = RdfProfile().serialize(
        #    models=exported_models,
        )
        self.stdout.write(output_xml)
